<?php
 require_once('clase_base.php'); //ha de estar en el mismo directorio que la clase del juego
 require_once(DIR_CLASES.'clase_login.php');
 class juego extends clase_base {
 	/**
 	 * HTML con la Plantilla [clase_plantilla] utilizada en su interior
 	 *
 	 * @var clase_html
 	 */
 	var $html;
 	/**
 	 * clase para manejar noticias
 	 *
 	 * @var clase_noticias
 	 */
 	var $noticias;
 	/**
 	 * Clase para enviar correos en UTF-8 y HTML
 	 *
 	 * @var clase_correo
 	 */
 	var $correo;
 	/**
 	 * clase de operaciones con login
 	 *
 	 * @var clase_login
 	 */
 	var $login;
 	/**
 	 * Clase para operar con formularios
 	 *
 	 * @var clase_manejador_formularios
 	 */
 	var $manejador_formularios;
	/**
	 * Constructor
	 *
	 * @param str $inicializadores
	 * @return juego
	 */
 	function juego($inicializadores=''){
 		clase_base::clase_base(); 		 	
 		//Constantes de idioma para el login	
 		require_once(DIR_IDIOMA.'login.php');
 		$this->login = new clase_login($this); 		
 		
 		if ($inicializadores){
 			$this->inicializar($inicializadores);
 		}
 	}
 	
 	/**
 	 * Llama a los constructores ,un mtodo alternativo a este es utilizar un manejador que automaticamente carge las clases al declararlas
 	 *  es decir, si hago $miclase1 = new clase1(); se incluye automaticamente clase1_class.php por ejemplo...sin embargo prefiero este metodo...
 	 *
 	 * @param array('creaClase1(),creaClase2(),...') $matriz
 	 */
 	function inicializar($matriz){ 		
 		if (!is_array($matriz)) $matriz = split(",",$matriz);
 		for ($i=0; $i<sizeof($matriz); $i++){
 			eval('$this->'.$matriz[$i].";"); 			
 		}
 		
 	}
	/**
	 * Crea la clase noticias
	 *
	 */
 	function crearNoticias(){
 		require_once(DIR_CLASES.'clase_noticias.php');
 		if (!isset($this->noticias))
 		 $this->noticias = new clase_noticias($this);
 	}
 	
 	/**
 	 * Crea la clase_html
 	 *
 	 */
 	function crearHtml(){
 		require_once(DIR_CLASES.'clase_html.php');
 		if (!isset($this->html))
 		 $this->html = new clase_html($this);
 	}
 	
 	/**
 	 * Crea la clase correo
 	 *
 	 */
 	function crearCorreo(){
 		 require_once(DIR_CLASES.'clase_correo.php');
 		if (!isset($this->correo))
 		 $this->correo = new clase_correo($this);
 	}
 	
 	/**
 	 * crea el manejador para formularios de contacto
 	 *
 	 */
 	function crearManejadorFormularios(){
 		require_once(DIR_CLASES.'clase_manejador_formularios.php');
 		if (!isset($this->manejador_formularios))
 		 $this->manejador_formularios = new clase_manejador_formularios($this);
 	}
 	/**
 	 * Hacer el login con esta funcion
 	 *
 	 * @param str $usuario : correo
 	 * @param str $password
 	 * @return bool
 	 */
 	function login($usuario,$password){
		return $this->login->login($usuario,$password);
 	}
 	/**
	 * Abre una sesin con la informacin idu,nombreUsuario y nivel:1->usuario,3->admin
	 *
	 * @param int $idUsuario
	 * @param str $nombreUsuario
	 * @param int $nivel
	 * @param bool $debug
	 */
	function crearSesion($idUsuario,$debug=false){
		$this->login->crearSesion($idUsuario,$debug);
	}
 	/**
	 * Comprueba si existe una sesin abierta
	 *
	 * @return bool
	 */
	function abrirSesion(){ 
	 	return $this->login->existeSesion();
	}
 	
 	/**
 	 * Envia un correo en UTF8 y HTML con los parametros pasados y devuelve el resultado del envio
 	 *
 	 * @param str : mail $para
 	 * @param str  $asunto
 	 * @param str : html $mensaje
 	 * @return bool
 	 */
 	function enviarCorreo($para,$asunto,$mensaje){
		$headers = "From: info@laminex.com\r\n" .
		       'X-Mailer: PHP/' . phpversion() . "\r\n" .
		       "MIME-Version: 1.0\r\n" .
		       "Content-Type: text/html; charset=utf-8\r\n" .
		       "Content-Transfer-Encoding: 8bit\r\n\r\n";
		return mail($para, $asunto, $mensaje, $headers);	
 	}
 }
?>